---
title: "Conclusion of the basic tutorial"
teaching: 10
exercises: 0
questions:
- "What do I do now?"
- "Where can I get help?"
- "What if I find a bug?"
- "Where can I find more information about ESMValtool?"
- "How can I cite ESMValtool?"

objectives:
- "breathe - you're finished now!"
- "Congratulations & Thanks!"
- "Find out about the mini-tutorials, and what to do next."

keypoints:
- "Individual mini-tutorials help work through a specific issue (not developed yet)."
- "We are constantly improving this tutorial."
---

## Congratulations!

Congratulations on completing the ESMValTool tutorial!
You should be now ready to go and start using ESMValTool independently.

The rest of this tutorial contains individual mini-tutorials
to help work through a specific issue (not developed yet).

### What next?

From here, there are lots of ways that you can continue to use ESMValTool.

- You can start from the list of
[existing recipes](https://docs.esmvaltool.org/en/latest/recipes/index.html)
and run one of those.
- You can learn how to
[write your own diagnostics and recipes](https://docs.esmvaltool.org/en/latest/develop/index.html).
- You can
[contribute your recipe and diagnostics](https://docs.esmvaltool.org/en/latest/community/index.html)
back into ESMValTool.
- You can learn how to prepare
[observational datasets](https://docs.esmvaltool.org/en/latest/input.html#observations)
to be suitable for use by ESMValTool.

> ## `Exercise: What do you want to do next?`
>
> - Think about what you want to do with ESMValTool.
>   - Decide what datasets and variables you want to use.
>   - Is any observational data available?
>   - How will you preprocess the data?
>   - What will your diagnostic script need to do?
>   - What will your final figure show?
{: .challenge}

### Where can I get more information on ESMValTool?

> ## Additional resources:
>
> - [Documenation](https://docs.esmvaltool.org)
> - [ESMValTool home page](https://www.esmvaltool.org/)
> - [Papers](https://www.esmvaltool.org/references.html)
> - [Source code (ESMValTool)](https://github.com/ESMValGroup/ESMValTool)
> - [Source code (ESMValCore )](https://github.com/ESMValGroup/ESMValCore)
{: .callout}


### Where can I get more help?

There are lots of resources available for helping you use ESMValTool.

If you get stuck, a great starting point is to create a
[new issue](https://github.com/ESMValGroup/ESMValTool/issues/new/choose).

There is also an ESMValTool email list.
Please see
[information](https://docs.esmvaltool.org/en/latest/community/contact.html#user-mailing-list)
on how to subscribe to user mailing list.

### What if I find a bug?

If you find a bug, please report it back to the ESMValTool team.
This will help us fix it, so that you can continue working,
but also it means that ESMValTool will be more stable for everyone else as well.

To report a bug, please create a new issue using the
[new issue page](https://github.com/ESMValGroup/ESMValTool/issues/new/choose).

In your bug report, please describe the problem as clearly and as completely as possible.
You may need to include a recipe or the output log as well.

### How do I cite the Tutorial?

Please see [citation information](https://github.com/ESMValGroup/ESMValTool_Tutorial/blob/master/CITATION.cff)

{% include links.md %}
