---
title: "Instructor Notes"
---

This page includes some tips, reminders and advice for giving this tutorial.

## Tutorial Content

Well ahead of the planned tutorial date, please go over the available 
tutorial material 
in your own time at least once to note specifics such as areas where 
your cohort may need extra time, any changes you want to make or 
additional examples you would like to include. 

If you want to add to or adapt the material, you can create your own copy to 
modify by forking the repository. See here for a guide  on [how to fork a repository](https://docs.github.com/en/enterprise/2.13/user/articles/fork-a-repo).

Please use our guide for [Contributing](CONTRIBUTING.md) when creating your 
own material just in case you would like to add to the current 
repository in the future.

Once you are satisified with the material you would like to use and have 
an estimate of the time required, please proceed with meeting logistics.
 
## Meeting Logistics

Decide if the tutorial will be held on site or online. If on site, make 
sure of venue availability before finalizing the date. If online, set up connection details.

Once you have agreed to a date, and attendees have signed up, send them an email
with the following information: 
 - a link to the [pre-tutorial instructions page](setup.md)
 - a contact email address so they can post any questions that arise during setup
 - venue details (if on site) or meeting connection details (if online).   

Also allow for sufficient time to get access to any 
accounts etc. which could take more than a few days in some cases (a good 
thumb rule is to have the time to send a reminder email a few days after
the first email, 
so that participants will still have time after the reminder to complete 
setup). 

Prepare an estimate for how long the tutorial will last 
(this could vary based on
your choice of modules and any changes you have made to the tutorial). 
Do include comfort breaks as needed.

If more than one person will be conducting the tutorial, discuss ahead 
and decide who will handle each component for a smooth flow of the material.

Remind people a few days before the meeting about the pre-meeting exercises.

If conducting the tutorial on site, confirm room bookings and check for 
internet connectivity or firewall issues 
at the venue. Coffee and biscuits also usually go down well with participants!

If conducting the tutorial online, have a backup plan for failed or 
poor internet connections. This could involve sending participants 
some of the material or previously recorded meeting videos ahead of time. 
Establish rules for questions, microphone and video usage before starting the
meeting. Send meeting connection details (Zoom/Teams etc.) ahead of time and
the day before the meeting.

Have a feedback form ready if you would like attendees to send you feedback. 
Request that they do so at the end of the tutorial and send it out as soon after
the tutorial as possible.

## Tips

- Test all recipes, diagnostics and instructions in advance.

- Make sure you don't have issues with accessing the compute node via VPN 
or Wi-Fi.

- Check with your computing service for any planned downtime or potential 
interuptions.

- Download a local copy of the data, just in case.

- Decide on one or two advanced mini-tutorials as a stretch goal but don't expect to do all of them.

{% include links.md %}
