---
layout: lesson
root: .  # Is the only page that doesn't follow the pattern /:path/index.html
permalink: index.html  # Is the only page that doesn't follow the pattern /:path/index.html
---

This tutorial helps you to use ESMValTool.

The Earth System Model Evaluation Tool (ESMValTool) is a community developed
software toolkit that aims to facilitate the diagnosis and evaluation of the
causes and effects of model biases and inter-model spread within the CMIP model
ensemble.

This tutorial is structured such that the main body of the tutorial, up to the
episode 7, can be done in one sitting. From episode 8, each episode is a
mini-tutorial covering an advanced aspect of working with ESMValTool. These
mini-tutorials can be appended to the main tutorial or worked through
independently.

> ## What will you learn in this course
>
> - What is ESMValTool
> - How to install ESMValTool
> - How to configure ESMValTool for your local system
> - How to run ESMValTool
> - How to work with ESMValTool's suite of preprocessors
> - How to debug your recipes
> - How to access and deploy recipes from the ESMValTools gallery (Advanced)
> - How to develop your own diagnostics and recipes (Advanced)
> - How to contribute your recipes and diagnostics back into ESMValTool
>   (Advanced)
> - How to include new observational datasets (Advanced)
>
{: .checklist}

> ## Prerequisites
>
> The prerequisites for the tutorial are listed on the
> [tutorial setup page]({{ page.root }}{% link setup.md %}).
>
{: .prereq}

### Main things you need to know before starting this course

1. This tutorial can be taken online independently or taught by one of our
   instructors.

2. Don’t be alarmed if you can’t work through the entire tutorial in one
   sitting. It may take some time to get used to working with ESMValTool.

3. If you get stuck, help is always available from the tutors, from ESMValTool
    developers via the [github issues
    page](https://github.com/ESMValGroup/ESMValTool/issues) or via the
    ESMValTool email list. Please see
    [information](https://docs.esmvaltool.org/en/latest/community/contact.html#user-mailing-list)
    on how to subscribe to user mailing list.

4. This tutorial includes several advanced lessons after the conclusion. These
   advanced lessons should be treated like “mini-tutorials”, and include aspects
   like “developing your own diagnostic” or “how to include observations”.

> ## Additional Resources
>
> - [Documentation](https://docs.esmvaltool.org)
> - [ESMValTool home page](https://www.esmvaltool.org/)
> - [Papers](https://www.esmvaltool.org/references.html)
> - [ESMValTool Source code](https://github.com/ESMValGroup/ESMValTool)
> - [ESMValCore Source code](https://github.com/ESMValGroup/ESMValCore)
> - [ESMValTool Citation info](https://esmvalgroup.github.io/ESMValTool_Tutorial/about/index.html)
>
{: .callout}

## How to cite the Tutorial

Please see
[citation information](https://github.com/ESMValGroup/ESMValTool_Tutorial/blob/master/CITATION.cff).

{% include links.md %}
